Package org.apache.synapse.securevault.secret

## Class SecretInformationFactory

- java.lang.Object
- - org.apache.synapse.securevault.secret.SecretInformationFactory

-     public class SecretInformationFactory
      extends Object

  Factory to create a DataSourceInformation based on given properties

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SecretInformation` | `createSecretInformation​(String secretProvider, String aliasPassword, String passwordPrompt)` | Factory method to create a SecretInformation instance based on the given information
    `static SecretInformation` | `createSecretInformation​(Properties properties, String configurationPrefix, String passwordPrompt)` | Factory method to create a SecretInformation instance based on the given properties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createSecretInformation

          public static SecretInformation createSecretInformation​(Properties properties,
                                                                  String configurationPrefix,
                                                                  String passwordPrompt)

      Factory method to create a SecretInformation instance based on the given properties
      Parameters:
        `properties` - Properties to create a SecretInformation
        `configurationPrefix` - The configuration prefix to use
        `passwordPrompt` - A specific password prompt to use (only for interactive authentication providers)
      Returns:
        SecretInformation instance

    - #### createSecretInformation

          public static SecretInformation createSecretInformation​(String secretProvider,
                                                                  String aliasPassword,
                                                                  String passwordPrompt)

      Factory method to create a SecretInformation instance based on the given information
      Parameters:
        `secretProvider` - A SecretCallbackHandler implementation to use to get secrets
        `aliasPassword` - The alias password
        `passwordPrompt` - A specific password prompt to use (only for interactive authentication providers)
      Returns:
        SecretInformation instance